Subject: Re: [MOBILE-IP] A practical question...

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 11 Oct 2000 11:43:41 +1100

Hi Thierry,

Some more comments below.

Cheers,
Hesham

> >      No it doesn't need to get an on link CoA, it keeps the same
> >      address,
> >      ie Home address. The MR (MAP) get a new CoA (topologially
> >      correct).
> >      It registers with the HA. The MNs attached to the MR (MAP)
> >      register
> >      the MAP's address as an alt-CoA with the HA. All packets destined
> >
> >      to the MNs get routed by the CNs to the MAP which then routes
> >      them
> >      to the MN's on link.
>
> >      What do you mean by an optimal route between the CN and MN ?
> >      Route optimisation is used in this case. Is there a more optimal
> >      route
>
> What care-of address contains the BU sent by the MN to its CNs ?   It
> contains the MR 's address, right ?  But the MR is also a mobile node,
> then the MR's address is in fact a home address.   Packets from the CN
> to the MN therefore get routed to the MR's HA.   There is no true route
> optimisation.   It is true that packets do not transit by the MN's HA,
> otherwise you would end up  in a double redirection.
>
        Ah, now I see what you mean. Sorry if this was not clear in the
        mail and the draft, I know the draft doesn't explain it very well
but
        we're having a second revision before San Diego and hopefully this
        section will be better explained. So let me answer your concern.
        What I meant to say was that the MR (MAP) will advertise its
        CoA for the MN's (or what you call FIXED) to use as alternate-CoA.
        So in that way you're always getting route optimised packets,
        ie. not via the HA.
        Does that make sense ? Of course this means that every time
        the MR will do a handoff, a new option will be advertised with a
        new address.

> >
> >      I'll read your draft again, but I don't know what you mean by a
> >      FIXED host ?
>
>
> A mobile network is not only a router, but a mobile router and all its
> attached nodes.  Those attached nodes are FIXED relative to the MR.
> The Mobile Network might even be composed of several routers (i.e. a set
> of subnetworks).
>
> A Mobile Node is a node that is visiting the mobile network by
> opposition to the FIXED nodes that always remain located in the mobile
> network (let's call them Mobile Network Nodes - nodes from the mobile
> network - MNNs).
>
        Ok, I understand now, thanks.